## r-cran-gstat 2.0

=== DESCRIPTION ===
Package: gstat
Version: 2.0-8
Title: Spatial and Spatio-Temporal Geostatistical Modelling, Prediction
        and Simulation
Authors@R: c(person(given = "Edzer", 
        family = "Pebesma", 
        role = c("aut", "cre"),
        email = "edzer.pebesma@uni-muenster.de",
        comment = c(ORCID = "0000-0001-8049-7069")),
     person("Benedikt", "Graeler", role = "aut"))
Description: Variogram modelling; simple, ordinary and universal point or block (co)kriging; spatio-temporal kriging; sequential Gaussian or indicator (co)simulation; variogram and variogram map plotting utility functions; supports sf and stars.
Depends: R (>= 2.10)
Imports: utils, stats, graphics, methods, lattice, sp (>= 0.9-72), zoo,
        spacetime (>= 1.0-0), FNN
Suggests: fields, maps, mapdata, maptools, rgdal (>= 0.5.2), rgeos, sf
        (>= 0.7-2), stars (>= 0.3-0), xts, raster, future, future.apply
License: GPL (>= 2.0)
URL: https://github.com/r-spatial/gstat/
Encoding: UTF-8
BugReports: https://github.com/r-spatial/gstat/issues/
NeedsCompilation: yes
RoxygenNote: 6.1.1
Packaged: 2021-10-06 14:20:37 UTC; edzer
Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
  Benedikt Graeler [aut]
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2021-10-06 15:00:02 UTC

## r-cran-gstat 2.0-8

=== debian/changelog ===
r-cran-gstat (2.0-8-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 22:13:03 +0200

r-cran-gstat (2.0-7-2) unstable; urgency=medium

  * Skip test requiring rgeos
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 07:37:39 +0200

r-cran-gstat (2.0-7-1) unstable; urgency=medium

  * Initial release (closes: #992557)

 -- Andreas Tille <tille@debian.org>  Fri, 20 Aug 2021 09:36:09 +0200

=== debian/control ===
Source: r-cran-gstat
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-lattice,
               r-cran-sp,
               r-cran-zoo,
               r-cran-spacetime,
               r-cran-fnn
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gstat
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gstat.git
Homepage: https://cran.r-project.org/package=gstat
Rules-Requires-Root: no

Package: r-cran-gstat
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R spatial and spatio-temporal geostatistical modelling
 This GNU R package provides spatio-temporal geostatistical modelling,
 prediction and Simulation Variogram modelling; simple, ordinary and
 universal point or block (co)kriging; spatio-temporal kriging;
 sequential Gaussian or indicator (co)simulation; variogram and variogram
 map plotting utility functions; supports sf and stars.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
        r-cran-fields,
        r-cran-maps,
        r-cran-mapdata,
        r-cran-maptools,
        r-cran-rgdal (>= 0.5.2),
#        r-cran-rgeos,
        r-cran-sf (>= 0.7-2),
        r-cran-stars (>= 0.3-0),
        r-cran-xts,
        r-cran-raster,
        r-cran-future,
        r-cran-future.apply
Restrictions: allow-stderr

## r-cran-gstat 2.0-9

=== debian/changelog ===
r-cran-gstat (2.0-9-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Mar 2022 08:18:25 +0100

## r-cran-gstat 2.1

=== DESCRIPTION ===
Package: gstat
Version: 2.1-5
Title: Spatial and Spatio-Temporal Geostatistical Modelling, Prediction
        and Simulation
Authors@R: c(person(given = "Edzer", 
        family = "Pebesma", 
        role = c("aut", "cre"),
        email = "edzer.pebesma@uni-muenster.de",
        comment = c(ORCID = "0000-0001-8049-7069")),
     person("Benedikt", "Graeler", role = "aut"))
Description: Variogram modelling; simple, ordinary and universal point or block (co)kriging; spatio-temporal kriging; sequential Gaussian or indicator (co)simulation; variogram and variogram map plotting utility functions; supports sf and stars.
Depends: R (>= 2.10)
Imports: utils, stats, graphics, methods, lattice, sp (>= 0.9-72), zoo,
        sf (>= 0.7-2), sftime, spacetime (>= 1.2-8), stars, FNN
Suggests: fields, maps, mapdata, xts, raster, future, future.apply,
        RColorBrewer, geoR, ggplot2
License: GPL (>= 2.0)
URL: https://github.com/r-spatial/gstat/,
        https://r-spatial.github.io/gstat/
Encoding: UTF-8
BugReports: https://github.com/r-spatial/gstat/issues/
NeedsCompilation: yes
RoxygenNote: 6.1.1
Packaged: 2026-02-13 14:48:34 UTC; edzer
Author: Edzer Pebesma [aut, cre] (ORCID:
    <https://orcid.org/0000-0001-8049-7069>),
  Benedikt Graeler [aut]
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2026-02-13 17:40:02 UTC

## r-cran-gstat 2.1-0

=== debian/changelog ===
r-cran-gstat (2.1-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-sf.

 -- Andreas Tille <tille@debian.org>  Fri, 09 Dec 2022 11:29:09 +0100

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,12 @@
                r-cran-lattice,
                r-cran-sp,
                r-cran-zoo,
+               r-cran-sf,
+               r-cran-sftime,
                r-cran-spacetime,
+               r-cran-stars,
                r-cran-fnn
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gstat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gstat.git
 Homepage: https://cran.r-project.org/package=gstat

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/gstat_([-\d.]*)\.tar\.gz

## r-cran-gstat 2.1-1

=== debian/changelog ===
r-cran-gstat (2.1-1-2) unstable; urgency=medium

  * Automatic update of Test-Depends

 -- Andreas Tille <tille@debian.org>  Sat, 19 Aug 2023 21:43:56 +0200

r-cran-gstat (2.1-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2023 13:46:14 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                r-cran-spacetime,
                r-cran-stars,
                r-cran-fnn
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gstat
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gstat.git
 Homepage: https://cran.r-project.org/package=gstat

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-fields,
        r-cran-maps,
        r-cran-mapdata,
        r-cran-xts,
        r-cran-raster,
        r-cran-future,
        r-cran-future.apply
Restrictions: allow-stderr

## r-cran-gstat 2.1-2

=== debian/changelog ===
r-cran-gstat (2.1-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 11 Oct 2024 08:50:37 +0900

## r-cran-gstat 2.1-3

=== debian/changelog ===
r-cran-gstat (2.1-3-2) unstable; urgency=medium

  * d/watch: version=5
  * d/tests/control: Do not test on architecture s390x
    Closes: #1102537
  * Standards-Version: 4.7.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Oct 2025 14:39:51 +0200

r-cran-gstat (2.1-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 10 Feb 2025 08:45:05 +0900

=== debian/control ===
Source: r-cran-gstat
Standards-Version: 4.7.2
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-lattice,
 r-cran-sp,
 r-cran-zoo,
 r-cran-sf,
 r-cran-sftime,
 r-cran-spacetime,
 r-cran-stars,
 r-cran-fnn,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gstat
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gstat.git
Homepage: https://cran.r-project.org/package=gstat
Rules-Requires-Root: no

Package: r-cran-gstat
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R spatial and spatio-temporal geostatistical modelling
 This GNU R package provides spatio-temporal geostatistical modelling,
 prediction and Simulation Variogram modelling; simple, ordinary and
 universal point or block (co)kriging; spatio-temporal kriging;
 sequential Gaussian or indicator (co)simulation; variogram and variogram
 map plotting utility functions; supports sf and stars.

=== debian/tests/control ===
--- 
+++ 
@@ -6,5 +6,8 @@
         r-cran-xts,
         r-cran-raster,
         r-cran-future,
-        r-cran-future.apply
+        r-cran-future.apply,
+        r-cran-rcolorbrewer,
+        r-cran-ggplot2
 Restrictions: allow-stderr
+Architecture: !s390x

=== debian/watch ===
Version: 5

Source: https://cloud.r-project.org/src/contrib
Matching-Pattern: gstat_@ANY_VERSION@@ARCHIVE_EXT@

## r-cran-gstat 2.1-5

=== debian/changelog ===
r-cran-gstat (2.1-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Sun, 22 Feb 2026 15:35:14 +0900

r-cran-gstat (2.1-3-3) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 18 Feb 2026 10:21:38 +0900

=== debian/tests/control ===
Tests: run-unit-test
Architecture: !s390x
Restrictions: allow-stderr
Depends:
 @,
 r-cran-fields,
 r-cran-maps,
 r-cran-mapdata,
 r-cran-xts,
 r-cran-raster,
 r-cran-future,
 r-cran-future.apply,
 r-cran-rcolorbrewer,
 r-cran-ggplot2,

=== debian/watch ===
Version: 5

Source: https://cloud.r-project.org/src/contrib/
Matching-Pattern: gstat_@ANY_VERSION@@ARCHIVE_EXT@
